## Functions

### gst_validate_element_has_klass

    gboolean
    gst_validate_element_has_klass (GstElement * element,
                                    const gchar* klass)

Parameters:

`element` –
No description available
`klass` –
No description available
Returns –
No description available

### GstValidate.prototype.element_has_klass

    function GstValidate.prototype.element_has_klass(element: Gst.Element, klass: String): {
        // javascript wrapper for 'gst_validate_element_has_klass'
    }

Parameters:

`element` (Gst.Element) –
No description available
`klass` (String) –
No description available
Returns (Number) –
No description available

### GstValidate.element_has_klass

    def GstValidate.element_has_klass (element, klass):
        #python wrapper for 'gst_validate_element_has_klass'

Parameters:

`element` (Gst.Element) –
No description available
`klass` (str) –
No description available
Returns (bool) –
No description available

### gst_validate_element_matches_target

    gboolean
    gst_validate_element_matches_target (GstElement * element,
                                         GstStructure * s)

Check if element matches one of the 'target-element-name', 'target-element-klass' or 'target-element-factory-name' defined in s.

Return: TRUE if it matches, FALSE otherwise or if s doesn't contain any target-element field.

Parameters:

`element` –

a GstElement to check

`s` –

a GstStructure to use for matching

Returns –
No description available

### GstValidate.prototype.element_matches_target

    function GstValidate.prototype.element_matches_target(element: Gst.Element, s: Gst.Structure): {
        // javascript wrapper for 'gst_validate_element_matches_target'
    }

Check if element matches one of the 'target-element-name', 'target-element-klass' or 'target-element-factory-name' defined in s.

Return: TRUE if it matches, FALSE otherwise or if s doesn't contain any target-element field.

Parameters:

`element` (Gst.Element) –

a Gst.Element to check

`s` (Gst.Structure) –

a Gst.Structure to use for matching

Returns (Number) –
No description available

### GstValidate.element_matches_target

    def GstValidate.element_matches_target (element, s):
        #python wrapper for 'gst_validate_element_matches_target'

Check if element matches one of the 'target-element-name', 'target-element-klass' or 'target-element-factory-name' defined in s.

Return: TRUE if it matches, FALSE otherwise or if s doesn't contain any target-element field.

Parameters:

`element` (Gst.Element) –

a Gst.Element to check

`s` (Gst.Structure) –

a Gst.Structure to use for matching

Returns (bool) –
No description available

### gst_validate_fail_on_missing_plugin

    gboolean
    gst_validate_fail_on_missing_plugin ()

Returns –
No description available

### GstValidate.prototype.fail_on_missing_plugin

    function GstValidate.prototype.fail_on_missing_plugin(): {
        // javascript wrapper for 'gst_validate_fail_on_missing_plugin'
    }

Returns (Number) –
No description available

### GstValidate.fail_on_missing_plugin

    def GstValidate.fail_on_missing_plugin ():
        #python wrapper for 'gst_validate_fail_on_missing_plugin'

Returns (bool) –
No description available

### gst_validate_has_colored_output

    gboolean
    gst_validate_has_colored_output ()

Returns –
No description available

### GstValidate.prototype.has_colored_output

    function GstValidate.prototype.has_colored_output(): {
        // javascript wrapper for 'gst_validate_has_colored_output'
    }

Returns (Number) –
No description available

### GstValidate.has_colored_output

    def GstValidate.has_colored_output ():
        #python wrapper for 'gst_validate_has_colored_output'

Returns (bool) –
No description available

### gst_validate_object_set_property

    GstValidateActionReturn
    gst_validate_object_set_property (GstValidateReporter * reporter,
                                      GObject * object,
                                      const gchar* property,
                                      const GValue * value,
                                      gboolean optional)

Parameters:

`reporter` –
No description available
`object` –
No description available
`property` –
No description available
`value` –
No description available
`optional` –
No description available
Returns –
No description available

### GstValidate.prototype.object_set_property

    function GstValidate.prototype.object_set_property(reporter: GstValidate.Reporter, object: GObject.Object, property: String, value: GObject.Value, optional: Number): {
        // javascript wrapper for 'gst_validate_object_set_property'
    }

Parameters:

`reporter` (GstValidate.Reporter) –
No description available
`object` (GObject.Object) –
No description available
`property` (String) –
No description available
`value` (GObject.Value) –
No description available
`optional` (Number) –
No description available
Returns (GstValidate.ActionReturn) –
No description available

### GstValidate.object_set_property

    def GstValidate.object_set_property (reporter, object, property, value, optional):
        #python wrapper for 'gst_validate_object_set_property'

Parameters:

`reporter` (GstValidate.Reporter) –
No description available
`object` (GObject.Object) –
No description available
`property` (str) –
No description available
`value` (GObject.Value) –
No description available
`optional` (bool) –
No description available
Returns (GstValidate.ActionReturn) –
No description available

### gst_validate_object_set_property_full

    GstValidateActionReturn
    gst_validate_object_set_property_full (GstValidateReporter * reporter,
                                           GObject * object,
                                           const gchar* property,
                                           const GValue * value,
                                           GstValidateObjectSetPropertyFlags flags)

Parameters:

`reporter` –

The GstValidateReporter to use to report errors

`object` –

The GObject to set the property on

`property` –

The name of the property to set

`value` –

The value to set the property to

`flags` –

The GstValidateObjectSetPropertyFlags to use

Returns –
No description available

Since : 1.24

### GstValidate.prototype.object_set_property_full

    function GstValidate.prototype.object_set_property_full(reporter: GstValidate.Reporter, object: GObject.Object, property: String, value: GObject.Value, flags: GstValidate.ObjectSetPropertyFlags): {
        // javascript wrapper for 'gst_validate_object_set_property_full'
    }

Parameters:

`reporter` (GstValidate.Reporter) –

The GstValidate.Reporter to use to report errors

`object` (GObject.Object) –

The GObject.Object to set the property on

`property` (String) –

The name of the property to set

`value` (GObject.Value) –

The value to set the property to

`flags` (GstValidate.ObjectSetPropertyFlags) –

The GstValidate.ObjectSetPropertyFlags to use

Returns (GstValidate.ActionReturn) –
No description available

Since : 1.24

### GstValidate.object_set_property_full

    def GstValidate.object_set_property_full (reporter, object, property, value, flags):
        #python wrapper for 'gst_validate_object_set_property_full'

Parameters:

`reporter` (GstValidate.Reporter) –

The GstValidate.Reporter to use to report errors

`object` (GObject.Object) –

The GObject.Object to set the property on

`property` (str) –

The name of the property to set

`value` (GObject.Value) –

The value to set the property to

`flags` (GstValidate.ObjectSetPropertyFlags) –

The GstValidate.ObjectSetPropertyFlags to use

Returns (GstValidate.ActionReturn) –
No description available

Since : 1.24

### gst_validate_replace_variables_in_string

    gchar*
    gst_validate_replace_variables_in_string (gpointer incom,
                                              GstStructure * local_vars,
                                              const gchar* in_string,
                                              GstValidateStructureResolveVariablesFlags flags)

Parameters:

`incom` –
No description available
`local_vars` –
No description available
`in_string` –
No description available
`flags` –
No description available
Returns –
No description available

### GstValidate.prototype.replace_variables_in_string

    function GstValidate.prototype.replace_variables_in_string(incom: Object, local_vars: Gst.Structure, in_string: String, flags: GstValidate.StructureResolveVariablesFlags): {
        // javascript wrapper for 'gst_validate_replace_variables_in_string'
    }

Parameters:

`incom` (Object) –
No description available
`local_vars` (Gst.Structure) –
No description available
`in_string` (String) –
No description available
`flags` (GstValidate.StructureResolveVariablesFlags) –
No description available
Returns (String) –
No description available

### GstValidate.replace_variables_in_string

    def GstValidate.replace_variables_in_string (incom, local_vars, in_string, flags):
        #python wrapper for 'gst_validate_replace_variables_in_string'

Parameters:

`incom` (object) –
No description available
`local_vars` (Gst.Structure) –
No description available
`in_string` (str) –
No description available
`flags` (GstValidate.StructureResolveVariablesFlags) –
No description available
Returns (str) –
No description available

### gst_validate_set_globals

    gst_validate_set_globals (GstStructure * structure)

Parameters:

`structure` –
No description available

### GstValidate.prototype.set_globals

    function GstValidate.prototype.set_globals(structure: Gst.Structure): {
        // javascript wrapper for 'gst_validate_set_globals'
    }

Parameters:

`structure` (Gst.Structure) –
No description available

### GstValidate.set_globals

    def GstValidate.set_globals (structure):
        #python wrapper for 'gst_validate_set_globals'

Parameters:

`structure` (Gst.Structure) –
No description available

### gst_validate_spin_on_fault_signals

    gst_validate_spin_on_fault_signals ()

### GstValidate.prototype.spin_on_fault_signals

    function GstValidate.prototype.spin_on_fault_signals(): {
        // javascript wrapper for 'gst_validate_spin_on_fault_signals'
    }

### GstValidate.spin_on_fault_signals

    def GstValidate.spin_on_fault_signals ():
        #python wrapper for 'gst_validate_spin_on_fault_signals'

### gst_validate_structs_parse_from_gfile

    GList *
    gst_validate_structs_parse_from_gfile (GFile * scenario_file,
                                           GstValidateGetIncludePathsFunc get_include_paths_func)

Parameters:

`scenario_file` –
No description available
`get_include_paths_func` –
No description available
Returns –
No description available

### gst_validate_structure_resolve_variables

    gst_validate_structure_resolve_variables (gpointer source,
                                              GstStructure * structure,
                                              GstStructure * local_variables,
                                              GstValidateStructureResolveVariablesFlags flags)

Parameters:

`source` –
No description available
`structure` –
No description available
`local_variables` –
No description available
`flags` –
No description available

### GstValidate.prototype.structure_resolve_variables

    function GstValidate.prototype.structure_resolve_variables(source: Object, structure: Gst.Structure, local_variables: Gst.Structure, flags: GstValidate.StructureResolveVariablesFlags): {
        // javascript wrapper for 'gst_validate_structure_resolve_variables'
    }

Parameters:

`source` (Object) –
No description available
`structure` (Gst.Structure) –
No description available
`local_variables` (Gst.Structure) –
No description available
`flags` (GstValidate.StructureResolveVariablesFlags) –
No description available

### GstValidate.structure_resolve_variables

    def GstValidate.structure_resolve_variables (source, structure, local_variables, flags):
        #python wrapper for 'gst_validate_structure_resolve_variables'

Parameters:

`source` (object) –
No description available
`structure` (Gst.Structure) –
No description available
`local_variables` (Gst.Structure) –
No description available
`flags` (GstValidate.StructureResolveVariablesFlags) –
No description available

### gst_validate_structure_set_variables_from_struct_file

    gst_validate_structure_set_variables_from_struct_file (GstStructure * vars,
                                                           const gchar* struct_file)

Parameters:

`vars` –
No description available
`struct_file` –
No description available

### GstValidate.prototype.structure_set_variables_from_struct_file

    function GstValidate.prototype.structure_set_variables_from_struct_file(vars: Gst.Structure, struct_file: String): {
        // javascript wrapper for 'gst_validate_structure_set_variables_from_struct_file'
    }

Parameters:

`vars` (Gst.Structure) –
No description available
`struct_file` (String) –
No description available

### GstValidate.structure_set_variables_from_struct_file

    def GstValidate.structure_set_variables_from_struct_file (vars, struct_file):
        #python wrapper for 'gst_validate_structure_set_variables_from_struct_file'

Parameters:

`vars` (Gst.Structure) –
No description available
`struct_file` (str) –
No description available

### gst_validate_utils_enum_from_str

    gboolean
    gst_validate_utils_enum_from_str (GType type,
                                      const gchar* str_enum,
                                      guint* enum_value)

Parameters:

`type` –

The GType of the enum we are trying to retrieve the enum value from

`str_enum` –

The string representation of the value

`enum_value` ( [out]) –

The value of the enum

Returns –

TRUE on success FALSE otherwise

### GstValidate.prototype.utils_enum_from_str

    function GstValidate.prototype.utils_enum_from_str(type: GObject.Type, str_enum: String): {
        // javascript wrapper for 'gst_validate_utils_enum_from_str'
    }

Parameters:

`type` (GObject.Type) –

The GObject.Type of the enum we are trying to retrieve the enum value from

`str_enum` (String) –

The string representation of the value

Returns a tuple made of:

(Number ) –

TRUE on success FALSE otherwise

`enum_value` (Number ) –

TRUE on success FALSE otherwise

### GstValidate.utils_enum_from_str

    def GstValidate.utils_enum_from_str (type, str_enum):
        #python wrapper for 'gst_validate_utils_enum_from_str'

Parameters:

`type` (GObject.Type) –

The GObject.Type of the enum we are trying to retrieve the enum value from

`str_enum` (str) –

The string representation of the value

Returns a tuple made of:

(bool ) –

TRUE on success FALSE otherwise

`enum_value` (int ) –

TRUE on success FALSE otherwise

### gst_validate_utils_flags_from_str

    guint
    gst_validate_utils_flags_from_str (GType type,
                                       const gchar* str_flags)

Parameters:

`type` –

The GType of the flags we are trying to retrieve the flags from

`str_flags` –

The string representation of the value

Returns –

The flags set in str_flags

### GstValidate.prototype.utils_flags_from_str

    function GstValidate.prototype.utils_flags_from_str(type: GObject.Type, str_flags: String): {
        // javascript wrapper for 'gst_validate_utils_flags_from_str'
    }

Parameters:

`type` (GObject.Type) –

The GObject.Type of the flags we are trying to retrieve the flags from

`str_flags` (String) –

The string representation of the value

Returns (Number) –

The flags set in str_flags

### GstValidate.utils_flags_from_str

    def GstValidate.utils_flags_from_str (type, str_flags):
        #python wrapper for 'gst_validate_utils_flags_from_str'

Parameters:

`type` (GObject.Type) –

The GObject.Type of the flags we are trying to retrieve the flags from

`str_flags` (str) –

The string representation of the value

Returns (int) –

The flags set in str_flags

### gst_validate_utils_get_clocktime

    gboolean
    gst_validate_utils_get_clocktime (GstStructure * structure,
                                      const gchar* name,
                                      GstClockTime * retval)

Get name from structure as a GstClockTime, it handles various types for the value, if it is a double, it considers the value to be in second it can be a gint, gint64 a guint, a gint64.

Return: TRUE in case of success, FALSE otherwise.

Parameters:

`structure` –

A GstStructure to retrieve name as a GstClockTime.

`name` –

The name of the field containing a GstClockTime

`retval` ( [out]) –

The clocktime contained in structure

Returns –
No description available

### GstValidate.prototype.utils_get_clocktime

    function GstValidate.prototype.utils_get_clocktime(structure: Gst.Structure, name: String): {
        // javascript wrapper for 'gst_validate_utils_get_clocktime'
    }

Get name from structure as a Number, it handles various types for the value, if it is a double, it considers the value to be in second it can be a gint, gint64 a guint, a gint64.

Return: TRUE in case of success, FALSE otherwise.

Parameters:

`structure` (Gst.Structure) –

A Gst.Structure to retrieve name as a GstClockTime.

`name` (String) –

The name of the field containing a Number

Returns a tuple made of:

(Number ) –
No description available
`retval` (Number ) –
No description available

### GstValidate.utils_get_clocktime

    def GstValidate.utils_get_clocktime (structure, name):
        #python wrapper for 'gst_validate_utils_get_clocktime'

Get name from structure as a int, it handles various types for the value, if it is a double, it considers the value to be in second it can be a gint, gint64 a guint, a gint64.

Return: TRUE in case of success, FALSE otherwise.

Parameters:

`structure` (Gst.Structure) –

A Gst.Structure to retrieve name as a GstClockTime.

`name` (str) –

The name of the field containing a int

Returns a tuple made of:

(bool ) –
No description available
`retval` (int ) –
No description available

### gst_validate_utils_get_strv

    gchar**
    gst_validate_utils_get_strv (GstStructure * str,
                                 const gchar* fieldname)

Parameters:

`str` –

A GstStructure

`fieldname` –

A fieldname containing a GstValueList or is not defined

Returns ( [transfer: full]) –

An array of strings from the GstValueList defined in fieldname

### GstValidate.prototype.utils_get_strv

    function GstValidate.prototype.utils_get_strv(str: Gst.Structure, fieldname: String): {
        // javascript wrapper for 'gst_validate_utils_get_strv'
    }

Parameters:

`str` (Gst.Structure) –

A GstStructure

`fieldname` (String) –

A fieldname containing a GstValueList or is not defined

Returns ([ String ]) –

An array of strings from the GstValueList defined in fieldname

### GstValidate.utils_get_strv

    def GstValidate.utils_get_strv (str, fieldname):
        #python wrapper for 'gst_validate_utils_get_strv'

Parameters:

`str` (Gst.Structure) –

A GstStructure

`fieldname` (str) –

A fieldname containing a GstValueList or is not defined

Returns ([ str ]) –

An array of strings from the GstValueList defined in fieldname

### gst_validate_utils_parse_expression

    gdouble
    gst_validate_utils_parse_expression (const gchar* expr,
                                         GstValidateParseVariableFunc variable_func,
                                         gpointer user_data,
                                         gchar** error)

Parameters:

`expr` –
No description available
`variable_func` –
No description available
`user_data` –
No description available
`error` –
No description available
Returns –
No description available

### gst_validate_utils_structs_parse_from_filename

    GList *
    gst_validate_utils_structs_parse_from_filename (const gchar* scenario_file,
                                                    GstValidateGetIncludePathsFunc get_include_paths_func,
                                                    gchar** file_path)

Parameters:

`scenario_file` –
No description available
`get_include_paths_func` –
No description available
`file_path` –
No description available
Returns –
No description available

### gst_validate_utils_test_file_get_meta

    GstStructure *
    gst_validate_utils_test_file_get_meta (const gchar* testfile,
                                           gboolean use_fakesinks)

Parameters:

`testfile` –
No description available
`use_fakesinks` –
No description available
Returns –
No description available

### GstValidate.prototype.utils_test_file_get_meta

    function GstValidate.prototype.utils_test_file_get_meta(testfile: String, use_fakesinks: Number): {
        // javascript wrapper for 'gst_validate_utils_test_file_get_meta'
    }

Parameters:

`testfile` (String) –
No description available
`use_fakesinks` (Number) –
No description available
Returns (Gst.Structure) –
No description available

### GstValidate.utils_test_file_get_meta

    def GstValidate.utils_test_file_get_meta (testfile, use_fakesinks):
        #python wrapper for 'gst_validate_utils_test_file_get_meta'

Parameters:

`testfile` (str) –
No description available
`use_fakesinks` (bool) –
No description available
Returns (Gst.Structure) –
No description available

## Callbacks

### GstValidateGetIncludePathsFunc

    gchar**
    (*GstValidateGetIncludePathsFunc) (const gchar* includer_file)

Parameters:

`includer_file` –
No description available
Returns –
No description available

### GstValidateParseVariableFunc

    int
    (*GstValidateParseVariableFunc) (const gchar* name,
                                     double* value,
                                     gpointer user_data)

Parameters:

`name` –
No description available
`value` –
No description available
`user_data` –
No description available
Returns –
No description available

### GstValidate.ParseVariableFunc

    function GstValidate.ParseVariableFunc(name: String, value: Number, user_data: Object): {
        // javascript wrapper for 'GstValidateParseVariableFunc'
    }

Parameters:

`name` (String) –
No description available
`value` (Number) –
No description available
`user_data` (Object) –
No description available
Returns (Number) –
No description available

### GstValidate.ParseVariableFunc

    def GstValidate.ParseVariableFunc (name, value, *user_data):
        #python wrapper for 'GstValidateParseVariableFunc'

Parameters:

`name` (str) –
No description available
`value` (float) –
No description available
`user_data` (variadic) –
No description available
Returns (int) –
No description available

The results of the search are